package;

import flixel.FlxObject;
import flixel.util.FlxPoint;
import haxe.xml.Fast;
import openfl.Assets;
import flixel.FlxG;
import flixel.FlxSprite;
import flixel.FlxState;
import flixel.text.FlxText;
import flixel.ui.FlxButton;
import flixel.util.FlxMath;

/**
 * A FlxState which can be used for the actual gameplay.
 */
class DeskState extends FlxState
{
	override public function create():Void
	{
		super.create();

		var background = new FlxSprite(0,0);
		background.loadGraphic("assets/images/DeskBack.png");
		add(background);

		var desk = new Desk();
		add(desk);
	}

	/**
	 * Function that is called when this state is destroyed - you might want to 
	 * consider setting all objects this state uses to null to help garbage collection.
	 */
	override public function destroy():Void
	{
		super.destroy();
	}

	/**
	 * Function that is called once every frame.
	 */
	override public function update():Void
	{
		super.update();
		//Capture.update();
	}
}